<?php

namespace Drupal\ckeditor5_open_new_tab\Plugin\CKEditor5Plugin;

use Drupal\ckeditor5\Plugin\CKEditor5PluginDefault;
use Drupal\editor\EditorInterface;

/**
 * CKEditor 5 Open New Tab plugin.
 *
 * @internal
 *   Plugin classes are internal.
 */
class CKEditor5Link extends CKEditor5PluginDefault {

  /**
   * {@inheritdoc}
   */
  public function getDynamicPluginConfig(array $static_plugin_config, EditorInterface $editor): array {
    if (isset($static_plugin_config['link'])) {
      $static_plugin_config['link']['decorators'][] = [
        'mode' => 'manual',
        'label' => t('Open in new window'),
        'attributes' => [
          'target' => '_blank',
        ],
      ];
    }

    return $static_plugin_config;
  }

}
